[arch-commits] Commit in hal/repos (6 files)

Jan de Groot jgc at archlinux.org
Mon Apr 13 15:05:12 EDT 2009


    Date: Monday, April 13, 2009 @ 15:05:12
  Author: jgc
Revision: 35498

Merged revisions 35439,35445 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/hal/trunk

........
  r35439 | jgc | 2009-04-13 17:16:53 +0000 (Mon, 13 Apr 2009) | 2 lines
  
  upgpkg: hal 0.5.12git20090406.46dc48-1
      Update to current git snapshot
........
  r35445 | jgc | 2009-04-13 17:21:45 +0000 (Mon, 13 Apr 2009) | 2 lines
  
  upgpkg: hal 0.5.12git20090406.46dc48-1
      Remove dbus dependency
........

Modified:
  hal/repos/extra-i686/	(properties)
  hal/repos/extra-i686/PKGBUILD
Deleted:
  hal/repos/extra-i686/consolekit-0.3.patch
  hal/repos/extra-i686/fix-udev-compatibility.patch
  hal/repos/extra-i686/libtool-fix.patch
  hal/repos/extra-i686/ntfs3g-valid-options.patch

------------------------------+
 PKGBUILD                     |   54 ++++++++------------
 consolekit-0.3.patch         |  108 -----------------------------------------
 fix-udev-compatibility.patch |   31 -----------
 libtool-fix.patch            |   10 ---
 ntfs3g-valid-options.patch   |   11 ----
 5 files changed, 22 insertions(+), 192 deletions(-)


Property changes on: hal/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /hal/trunk:1-19172
   + /hal/trunk:1-35497

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-13 19:01:52 UTC (rev 35497)
+++ extra-i686/PKGBUILD	2009-04-13 19:05:12 UTC (rev 35498)
@@ -3,64 +3,54 @@
 # Contributor: Link Dupont <link at subpop.net>
 
 pkgname=hal
-pkgver=0.5.11
-pkgrel=7
+pkgver=0.5.12git20090406.46dc48
+pkgrel=1
 pkgdesc="Hardware Abstraction Layer"
+_gitver=46dc48d2235c5916179bacf58f800132cd7a7257
 arch=(i686 x86_64)
 license=('GPL' 'custom')
 url="http://www.freedesktop.org/wiki/Software/hal"
-depends=('dbus-glib>=0.76' 'dbus>=1.2.4' 'libusb>=0.1.12' 'udev>=118' 'filesystem>=0.7.1-5' 'hal-info>=0.20081022' 'eject' 'libsmbios>=2.0.2' 'dmidecode' 'pciutils>=3.0.2' 'usbutils>=0.73-5' 'pm-utils>=1.2.2.1' 'policykit>=0.9-6' 'consolekit>=0.3.0')
+depends=('dbus-glib>=0.80' 'libusb>=0.1.12' 'udev>=141' 'filesystem>=0.7.1-5' 'hal-info>=0.20090330' 'eject' 'dmidecode' 'pciutils>=3.0.2' 'usbutils>=0.73-5' 'pm-utils>=1.2.5' 'policykit>=0.9-6' 'consolekit>=0.3.0')
 makedepends=('pkgconfig' 'gperf')
-options=('!libtool')
+options=('!libtool' '!makeflags')
 install=hal.install
-source=(http://hal.freedesktop.org/releases/${pkgname}-${pkgver}.tar.bz2
+source=(ftp://ftp.archlinux.org/other/hal/hal-${_gitver}.tar.bz2
 	hal
 	cryptsetup_location.patch
 	hal-0.5.9-hide-diagnostic.patch
-	ntfs3g-valid-options.patch
-	fix-udev-compatibility.patch
-	ntfs-mount-fix.patch
-	consolekit-0.3.patch
-	libtool-fix.patch)
-md5sums=('5e8935ab61bcb14afd2d4548084aace0'
+	ntfs-mount-fix.patch)
+md5sums=('2b3012d9f4a5b0c1666df20763124d4c'
          '277e96ac130d7bfce0b30f0b80db8782'
          'c688a3c6574699365926f4fef7441545'
          '4d4b6801a1cedca22b8bdd9db73b16fb'
-         '4242a2c78885e396f639d0cd5e33218c'
-         '1a33d73fa422df2f05b7e3483836f778'
-         '96cf8835c30dc581c4fcf72b6ad7675e'
-	 'ad73507bbf4a7dd350072ab8ea61bb96'
-	 '89b38c39c395d55a9575a76e5c6cd759')
+         '96cf8835c30dc581c4fcf72b6ad7675e')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${_gitver}"
   patch -Np1 -i ${startdir}/src/cryptsetup_location.patch || return 1
   patch -Np1 -i ${startdir}/src/hal-0.5.9-hide-diagnostic.patch || return 1
-  patch -Np0 -i ${startdir}/src/ntfs3g-valid-options.patch || return 1
-  # Fix compatibility with udev 126 and later
-  patch -Np1 -i ${startdir}/src/fix-udev-compatibility.patch || return 1
   patch -Np0 -i ${srcdir}/ntfs-mount-fix.patch || return 1
-  patch -Np1 -i ${srcdir}/consolekit-0.3.patch || return 1
-  patch -Np0 -i ${srcdir}/libtool-fix.patch || return 1
 
   libtoolize --force || return 1
   aclocal || return 1
   autoconf || return 1
   autoheader || return 1
-  automake || return 1
+  automake --add-missing || return 1
 
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-              --libexecdir=/usr/lib/hal --enable-static=no \
-	      --enable-acpi-ibm --enable-acpi-toshiba \
-              --disable-docbook-docs \
+              --libexecdir=/usr/lib/hal --with-udev-prefix=/etc \
+	      --enable-static=no --enable-acpi-ibm --enable-acpi-toshiba \
+              --disable-docbook-docs --enable-console-kit \
+	      --enable-policy-kit --enable-acl-management \
+	      --enable-umount-helper --disable-smbios \
 	      --with-hal-user=hal --with-hal-group=hal \
 	      --with-pid-file=/var/run/hald.pid || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  install -m755 -d ${startdir}/pkg/etc/rc.d
-  install -m755 -d ${startdir}/pkg/media || return 1
-  install -m 755 ${startdir}/src/hal ${startdir}/pkg/etc/rc.d/hal || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/etc/rc.d"
+  install -m755 -d "${pkgdir}/media" || return 1
+  install -m755 "${srcdir}/hal" "${pkgdir}/etc/rc.d/" || return 1
 
-  install -m755 -d ${startdir}/pkg/usr/share/licenses/${pkgname}
-  install -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/ || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }

Deleted: extra-i686/consolekit-0.3.patch
===================================================================
--- extra-i686/consolekit-0.3.patch	2009-04-13 19:01:52 UTC (rev 35497)
+++ extra-i686/consolekit-0.3.patch	2009-04-13 19:05:12 UTC (rev 35498)
@@ -1,108 +0,0 @@
-From: Danny Kukawka <danny.kukawka at web.de>
-Date: Mon, 25 Aug 2008 10:58:43 +0000 (+0200)
-Subject: added check for ConsoleKit >= v0.3.1 to configure
-X-Git-Url: http://gitweb.freedesktop.org/?p=hal.git;a=commitdiff;h=aa673602a42b3fab01b14dfd2934e9f15e4c6428
-
-added check for ConsoleKit >= v0.3.1 to configure
-
-Added check for ConsoleKit >= v0.3.1 to configure to be able
-to differ between the versions due to API breakage.
----
-
---- a/configure.in
-+++ b/configure.in
-@@ -486,6 +486,20 @@ if test "x$enable_console_kit" != "xno";
-    AM_CONDITIONAL(HAVE_CONKIT, true)
-    AC_DEFINE(HAVE_CONKIT, [], [Set if we use ConsoleKit])
-    msg_conkit=yes
-+   # yes this is ugly, but there is no other way to get the version of CK 
-+   AC_MSG_CHECKING([if ConsoleKit version 0.3.0 or newer])
-+   if $PKG_CONFIG --atleast-version=0.3.0 ck-connector; then
-+     AC_MSG_RESULT([yes])
-+     AC_DEFINE(HAVE_CK_0_3, 1, [Define to 1 if ConsoleKit is v0.3.0 or newer])
-+   else 
-+     if $PKG_CONFIG --max-version=0.2.10 ck-connector; then
-+       AC_MSG_RESULT([no])
-+     else
-+       #assume we have the latest version
-+       AC_MSG_WARN([Couldn't detect ConsoleKit version, install the devel package, assume for now you use >= 0.3.0])
-+       AC_DEFINE(HAVE_CK_0_3, 1, [Define to 1 if ConsoleKit is v0.3.0 or newer])
-+     fi
-+   fi
- fi
- 
- AC_PATH_PROG(GPERF, [gperf], [no])
-From: Frederic Crozat <fcrozat at mandriva.com>
-Date: Mon, 25 Aug 2008 11:02:19 +0000 (+0200)
-Subject: adapt new CK library version (>= v0.3.1) to HAL
-X-Git-Url: http://gitweb.freedesktop.org/?p=hal.git;a=commitdiff;h=32022662804d43434a3e7ff168d314385867eb76
-
-adapt new CK library version (>= v0.3.1) to HAL
-
-Adapted new CK library version (>= v0.3.1) to HAL. Adopted
-patch from Ben Gamari <bgamari at gmail.com> to work with old
-and new ConsoleKit versions.
----
-
---- a/hald/ck-tracker.c
-+++ b/hald/ck-tracker.c
-@@ -256,7 +256,11 @@ ck_session_get_info (CKTracker *tracker,
- 		goto error;
- 	}
- 	if (!dbus_message_get_args (reply, NULL,
-+#ifdef HAVE_CK_0_3
-+				    DBUS_TYPE_UINT32, &(session->user),
-+#else
- 				    DBUS_TYPE_INT32, &(session->user),
-+#endif
- 				    DBUS_TYPE_INVALID)) {
- 		HAL_ERROR (("Invalid GetUnixUser reply from CK"));
- 		goto error;
-@@ -531,7 +535,11 @@ ck_tracker_process_system_bus_message (C
- 		seat_objpath = dbus_message_get_path (message);
- 
- 		if (!dbus_message_get_args (message, NULL,
-+#ifdef HAVE_CK_0_3
-+					    DBUS_TYPE_OBJECT_PATH, &seat_objpath,
-+#else
- 					    DBUS_TYPE_STRING, &seat_objpath,
-+#endif
- 					    DBUS_TYPE_INVALID)) {
- 			HAL_ERROR (("Invalid SeatAdded signal from CK"));
- 			goto out;
-@@ -558,7 +566,11 @@ ck_tracker_process_system_bus_message (C
- 		seat_objpath = dbus_message_get_path (message);
- 
- 		if (!dbus_message_get_args (message, NULL,
-+#ifdef HAVE_CK_0_3
-+					    DBUS_TYPE_OBJECT_PATH, &seat_objpath,
-+#else
- 					    DBUS_TYPE_STRING, &seat_objpath,
-+#endif
- 					    DBUS_TYPE_INVALID)) {
- 			HAL_ERROR (("Invalid SeatRemoved signal from CK"));
- 			goto out;
-@@ -588,7 +600,11 @@ ck_tracker_process_system_bus_message (C
- 		seat_objpath = dbus_message_get_path (message);
- 
- 		if (!dbus_message_get_args (message, NULL,
-+#ifdef HAVE_CK_0_3
-+					    DBUS_TYPE_OBJECT_PATH, &session_objpath,
-+#else
- 					    DBUS_TYPE_STRING, &session_objpath,
-+#endif
- 					    DBUS_TYPE_INVALID)) {
- 			HAL_ERROR (("Invalid SessionAdded signal from CK"));
- 			goto out;
-@@ -624,7 +640,11 @@ ck_tracker_process_system_bus_message (C
- 		seat_objpath = dbus_message_get_path (message);
- 
- 		if (!dbus_message_get_args (message, NULL,
-+#ifdef HAVE_CK_0_3
-+					    DBUS_TYPE_OBJECT_PATH, &session_objpath,
-+#else
- 					    DBUS_TYPE_STRING, &session_objpath,
-+#endif
- 					    DBUS_TYPE_INVALID)) {
- 			HAL_ERROR (("Invalid SessionRemoved signal from CK"));
- 			goto out;

Deleted: extra-i686/fix-udev-compatibility.patch
===================================================================
--- extra-i686/fix-udev-compatibility.patch	2009-04-13 19:01:52 UTC (rev 35497)
+++ extra-i686/fix-udev-compatibility.patch	2009-04-13 19:05:12 UTC (rev 35498)
@@ -1,31 +0,0 @@
-diff -Nur hal-0.5.11.orig/hald/linux/blockdev.c hal-0.5.11/hald/linux/blockdev.c
---- hal-0.5.11.orig/hald/linux/blockdev.c	2008-05-08 01:23:41.000000000 +0200
-+++ hal-0.5.11/hald/linux/blockdev.c	2008-09-12 19:38:36.000000000 +0200
-@@ -1750,11 +1750,11 @@
-         char *ret;
-         char *u_stdout;
-         int u_exit_status;
--        const char *argv[] = {"/usr/bin/udevinfo", "--root", "--query", "name", "--path", NULL, NULL};
-+        const char *argv[] = {"/sbin/udevadm", "info", "--root", "--query", "name", "--path", NULL, NULL};
-         GError *g_error;
- 
-         ret = NULL;
--        argv[5] = sysfs_path;
-+        argv[6] = sysfs_path;
- 
-         g_error = NULL;
- 
-diff -Nur hal-0.5.11.orig/hald/linux/coldplug.c hal-0.5.11/hald/linux/coldplug.c
---- hal-0.5.11.orig/hald/linux/coldplug.c	2008-05-08 01:23:32.000000000 +0200
-+++ hal-0.5.11/hald/linux/coldplug.c	2008-09-12 19:37:47.000000000 +0200
-@@ -149,8 +149,8 @@
- static gboolean
- hal_util_init_sysfs_to_udev_map (void)
- {
--	char *udevdb_export_argv[] = { "/usr/bin/udevinfo", "-e", NULL };
--	char *udevroot_argv[] = { "/usr/bin/udevinfo", "-r", NULL };
-+	char *udevdb_export_argv[] = { "/sbin/udevadm", "info", "-e", NULL };
-+	char *udevroot_argv[] = { "/sbin/udevadm", "info", "-r", NULL };
- 	int udevinfo_exitcode;
- 	UdevInfo *info = NULL;
- 	char *p;

Deleted: extra-i686/libtool-fix.patch
===================================================================
--- extra-i686/libtool-fix.patch	2009-04-13 19:01:52 UTC (rev 35497)
+++ extra-i686/libtool-fix.patch	2009-04-13 19:05:12 UTC (rev 35498)
@@ -1,10 +0,0 @@
---- configure.in.orig	2008-11-16 01:36:22.000000000 +0100
-+++ configure.in	2008-11-16 01:18:27.000000000 +0100
-@@ -30,6 +30,7 @@
- AC_ISC_POSIX
- AC_PROG_CC
- AM_PROG_CC_C_O
-+AC_PROG_CXX
- AC_HEADER_STDC
- AC_PROG_LIBTOOL
- AC_PROG_MAKE_SET

Deleted: extra-i686/ntfs3g-valid-options.patch
===================================================================
--- extra-i686/ntfs3g-valid-options.patch	2009-04-13 19:01:52 UTC (rev 35497)
+++ extra-i686/ntfs3g-valid-options.patch	2009-04-13 19:05:12 UTC (rev 35498)
@@ -1,11 +0,0 @@
---- fdi/policy/10osvendor/20-storage-methods.fdi.orig	2007-10-28 19:40:22.000000000 +0000
-+++ fdi/policy/10osvendor/20-storage-methods.fdi	2007-10-28 19:40:58.000000000 +0000
-@@ -240,6 +240,8 @@
- 	  <append key="volume.mount.valid_options" type="strlist">uid=</append>
- 	  <append key="volume.mount.valid_options" type="strlist">gid=</append>
- 	  <append key="volume.mount.valid_options" type="strlist">umask=</append>
-+	  <append key="volume.mount.valid_options" type="strlist">dmask=</append>
-+	  <append key="volume.mount.valid_options" type="strlist">fmask=</append>
- 	  <append key="volume.mount.valid_options" type="strlist">locale=</append>
- 	  <append key="volume.mount.valid_options" type="strlist">utf8</append>
- 	</match>



More information about the arch-commits mailing list